@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "support/_flexiblelayout-variables.scss";

//rootpane
.yw-flexlayout-rootpane {
    height: 100%;
    overflow: hidden;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-direction: row;

    .yw-flexlayout[style*="width: 100%"] & {
        width: 100%;
        height: 100%;
        position: absolute;
        overflow: hidden;

        &.yw-flexlayout-sidbar-overlap.yw-flexlayout-sidebar-right {
            &.yw-flexlayout-sidebar-closed > .yw-flexlayout-sidebar {
                display: none;
            }
        }
    }
    &.yw-flexlayout-sidebar-right > .yw-flexlayout-sidebar {
        order: 1;
    }
    &.yw-flexlayout-sidebar-closed  > .yw-flexlayout-sidebar {
        width: 0;
    }
    &.yw-flexlayout-sidebar-collapsed > .yw-flexlayout-sidebar {
        overflow: hidden;
        
        .yw-flexlayout-sidebar-wrapper {
            width: 100%;
        }
    }
}

//sidebar
.yw-flexlayout-sidebar {
    width: $flexlayout__sidebar--width;
    height: 100%;
    display: block; //inline-block;
    position: relative; //absolute;
    top: 0;
    vertical-align: top;
    visibility: hidden;
    z-index: $flexlayout__sidebar--z-index;
    box-shadow: $flexlayout__sidebar--box-shadow;

    &-opened:not(&-collapsed) > & {
        width: $flexlayout__sidebar--width;
    }

    &-wrapper {
        width: $flexlayout__sidebar--width;
        height: 100%;
        transition: $flexlayout__sidebar--transition;
    }
    
    
    //sidebar collapsed
    &-collapsed > & {
        width: $flexlayout__sidebar-collapsed--width;
    }

    //right sidebar
    &-right  > & {
        right: 0;
    }
    &-right > & > &-wrapper {
        float: right;
    }

    &-right:not(&-collapsed) > &,
    &-left:not(&-collapsed) > & {
        transform: none;
        width: 0;
    }

    &-right:not(&-collapsible) > & > &-wrapper {
        transform: $flexlayout__sidebar--transform-right;
        box-shadow: $_flexlayout__sidebar-right--box-shadow;
        .yw-flexlayout-sidebar-header-btn {
            opacity: 0;
        }

    }

    //left sidebar
    &-left:not(&-collapsible) > & > &-wrapper {
        transform: $flexlayout__sidebar--transform-left;
        box-shadow: $_flexlayout__sidebar-left--box-shadow;
        
        .yw-flexlayout-sidebar-header-btn {
            opacity: 0;
        }
    }

    &-opened:not(&-collapsible) > & > &-wrapper {
        transform: translateX(0);
        transition: $flexlayout__sidebar-opened--transition;
        .yw-flexlayout-sidebar-header-btn {
            opacity: 1;
        }
    }

    //sidebar header
    &-header {
        display: none;
        position: absolute;
        top: 0;
        z-index: $flexlayout__sidebar-header--z-index;

        .yw-flexlayout-sidebar-left > .yw-flexlayout-sidebar & {
            right: 0;
        }

        & &-btn {
            width: $flexlayout__sidebar-header-btn--width;
            height: $flexlayout__sidebar-header-btn--height;
            background-color: $flexlayout__sidebar-header-btn--bg-color;
            padding: $flexlayout__sidebar-header-btn--padding;
            margin-top: $flexlayout__sidebar-header-btn--margin-top;
            border: $flexlayout__sidebar-header-btn--border;
            border-radius: $flexlayout__sidebar-header-btn--border-radius;
            transition: $_flexlayout__sidebar-header-btn--transition;

            &:after,
            &:before {
                width: $flexlayout__sidebar-header-btn-arrow--width;
                height: $flexlayout__sidebar-header-btn-arrow--height;
                font-size: $flexlayout__sidebar-footer-before--font-size;
                font-family: $flexlayout__sidebar-footer-before--font-family;
                line-height: $flexlayout__sidebar-footer-before--line-height;
                display: inline-block;
            }

            &:hover {
                background-color: $flexlayout__sidebar-header-btn-hover--bg-color;
            }
        }
    }

    //left sidebar header
    &-right > & &-header-btn {
        margin-left: $flexlayout__sidebar-right-header-btn--margin-left;
        text-align: $flexlayout__sidebar-right-header-btn--text-align;
        border-right-width: 0;
        box-shadow: $flexlayout__sidebar-header-btn-right--box-shadow;

        &:before,
        &:after {
            content: $flexlayout__sidebar-footer-angle-right--content;
        }

        &:before {
            color: $flexlayout__sidebar-footer-before--color;
            transform: $flexlayout__sidebar-right-header-btn-before--transform;
        }

        &:after {
            color: $flexlayout__sidebar-right-header-btn-after--color;
            transform: $flexlayout__sidebar-right-header-btn-after--transform;
        }

        &:hover:after {
            color: $flexlayout__sidebar-header-btn--arrow-hover--color;
        }
    }

    //right sidebar header
    &-left > & &-header-btn {
        margin-right: $flexlayout__sidebar-left-header-btn--margin-right;
        text-align: $flexlayout__sidebar-left-header-btn--text-align;
        border-left-width: 0;
        box-shadow: $flexlayout__sidebar-header-btn-left--box-shadow;

        &:before,
        &:after {
            content: $flexlayout__sidebar-footer-angle-left--content;
        }

        &:before {
            color: $flexlayout__sidebar-left-header-btn-before--color;
            transform: $flexlayout__sidebar-left-header-btn-before--transform;
        }

        &:hover:before {
            color: $flexlayout__sidebar-header-btn--arrow-hover--color;
        }

        &:after {
            color: $flexlayout__sidebar-left-header-btn-after--color;
            transform: $flexlayout__sidebar-left-header-btn-after--transform;
        }
    }

    &-hover-overlap:not(&-overlap) > .yw-flexlayout-sidebar:hover {
        width: $flexlayout__sidebar--width;
    }
    &-overlap:not(&-hover-overlap) > .yw-flexlayout-sidebar {
        position: absolute;
    }
}

//content
.yw-flexlayout-contents {
    width: 100%;
    height: 100%;
    display: inline-block;
    position: relative;
    vertical-align: top;
    @if $_flexlayout__contents--z-index {
        z-index: $_flexlayout__contents--z-index;
    }
}
